<script setup lang="ts">
import { defineProps, onMounted, ref } from 'vue'
import { useStore } from 'vuex'
import type { Group } from '@/api/gitlabHelperApi/groupsApi'

const props = defineProps<{
  groups: Group[]
}>()

const store = useStore()
const user = ref({ username: '', rol: '' })

onMounted(() => {
  user.value = store.state.user
  console.debug('GroupsCardComponent.groups: ', props.groups)
})
</script>

<template>
  <VRow class="card-container">
    <VCol
      v-for="group in props.groups"
      :key="group.id"
      cols="12"
      sm="6"
      md="4"
      lg="3"
      class="d-flex-column"
    >
      <VCard class="flex-card">
        <VCardItem>
          <div class="d-flex justify-space-between flex-wrap">
            <VCardTitle>
              <RouterLink :to="{ name: 'vendors', params: { id: group.id } }">
                <VIcon
                  color="primary"
                  icon="tabler-folder"
                  size="22"
                />
                <span class="ms-3">{{ group.name }}</span>
              </RouterLink>
            </VCardTitle>
            <VBtn
              :href="group.web_url"
              variant="text"
              size="small"
            >
              <VIcon
                color="primary"
                icon="tabler-external-link"
                size="22"
              />
            </VBtn>
          </div>
        </VCardItem>
        <VCardText class="flex-text">
          Description: {{ group.description }}
        </VCardText>
      </VCard>
    </VCol>
  </VRow>
</template>

<style scoped>
.card-container {
  display: flex;
  align-items: stretch;
}

.d-flex-column {
  display: flex;
  flex-direction: column;
}

.flex-card {
  flex-grow: 1;
}
</style>
